import { SeamHttp } from '@seamapi/http/connect';
export declare function useSeamClient(): {
    client: SeamHttp | null;
    isPending: boolean;
    isError: boolean;
    error: unknown;
};
export declare class NullSeamClientError extends Error {
    constructor();
}
